```mermaid
sequenceDiagram
autonumber
participant merchant as Merchant
participant mbo as Merchant Backoffice <br/> (Browser)
participant epages6 as ePages6 <br/> (Cartridges)
participant epagesj as ePagesJ
participant google as Google

merchant->>mbo: Clicks "Delete" trash button
Note over mbo, epages6: a Dialog window opens to confirm campaign deletion.
mbo->>epages6: ChangeAction POST UnityMBO-GoogleSmartShopping-DeleteAdsCampaign (DeleteAdsCampaign)
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->deleteAdsCampaign' <br/> DELETE 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns/{campaignId}' (admin + developer token)
epagesj->>google: AdsManagementService.deleteCampaign <br/> CampaignOperation.newBuilder() / CampaignServiceClient.mutateCampaigns (Google Ads API SDK)
google-->>epagesj: MutateCampaignsResponse (Google Ads API SDK)
epagesj-->>epages6: response (204 NO-CONTENT)
epages6-->>mbo: 
Note over mbo, epages6: JavaScript Reload tab page to reflect campaign deletion.
mbo->>epages6: ViewAction GET UnityMBO-ViewGoogleSmartShoppingCampaigns (UnityViewGoogleSmartShoppingCampaigns)
epages6->epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->getSmartShoppingCampaigns' <br/> GET 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns'
epagesj->>google: AdsReportingService.getSmartShoppingCampaigns <br/> GoogleAdsServiceClient.search (Google Ads API SDK)
google-->>epagesj: GoogleAdsServiceClient.SearchPagedResponse (Google Ads API SDK)
epagesj-->>epages6: response (200 OK) List<SmartShoppingCampaign> entity [ ]
epages6-->>mbo: parse page with (empty) campaign data
```

