```mermaid
sequenceDiagram
autonumber
participant merchant as Merchant
participant mbo as Merchant Backoffice <br/> (Browser)
participant epages6 as ePages6 <br/> (Cartridges)
participant epagesj as ePagesJ
participant google as Google

merchant->>mbo: Clicks product performance "show details" link
Note over mbo, epages6: Dialog window opens to show paginated campaign product performance details.
mbo->>epages6: ChangeAction POST JSONSearchCampaignProductsMetrics
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->getCampaignShoppingPerformance' <br/> GET 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns/{campaignId}/shopping-performance' (admin + developer token)
epagesj->>google: AdsReportingService.getProductPerformance <br/> GoogleAdsServiceClient.search (Google Ads API SDK)
google-->>epagesj: GoogleAdsServiceClient.SearchPagedResponse (Google Ads API SDK)
epagesj-->>epages6: response (200 OK) PageEP6<ProductPerformance> entity [ {productName:.., clicks:.., cost:.., conversions..}, {...}, ... ]
epages6-->>mbo: (campagin product performance dialog build)
Note over mbo, epages6: Dialog paginates and sorts products through JavaScript AJAX calls.
mbo-->>mbo: close dialog
```

