```mermaid
sequenceDiagram autonumber
participant Merchant as Merchant
participant MBO as Merchant Backoffice (Browser)
participant epages6 as ePages6 (Cartridges)
participant epagesj as ePagesJ
participant Google as Google

Note over Merchant, epages6:DISCONNECT ADS ACCOUNT
Merchant->>MBO: Click Disconnect button
MBO->>epages6: ChangeAction to disconnect Ads account
Note over epages6: Delete Ads campaign
epages6->>epagesj: (AdminToken, DeveloperToken)<br/>POST "accounts/ads/{ManagerAdsAccountId}/sub-accounts/{AdsAccountId}/smart-shopping-campaigns/{AdsCampaignId}<br/>DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService::deleteAdsCampaign() (adminToken, developerToken)
epagesj->>Google: Set Ads campaign as Removed<br/>CampaignOperation setRemove(adsAccountId, campaignId)
Google-->>epagesj: response (200 OK)
epagesj-->>epages6: response (200 OK)

Note over epages6: Disconnect Ads account
epages6->>epagesj: (AdminToken, DeveloperToken)<br/>DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService::unlinkGoogleAdsAccount() (adminToken, developerToken)<br/>DELETE "/accounts/ads/{ManagerAdsAccountId}/sub-accounts/{AdsAccountId}
epagesj->>Google: findActiveCustomerClientLink googleAdsServiceClient.search(namagerId, query)
Google-->>epagesj: linkId
epagesj->>Google: Disconnect Ads account from ePages MCA<br/>managerLinkServiceClient.mutateCustomerManagerLink set as INACTIVE
Google-->>epagesj: response (200 OK)
epagesj-->>epages6: response (200 OK)

Note over epages6: Delete Ads Campaign from config
epages6->>epages6: DE_EPAGES::GoogleSmartShopping::API::Object::GoogleSmartShoppingConfig::deleteAdsCampaign()<br/>(AdsCampaignId, AdsCampaignConversionId, AdsCampaignConversionLabel, AdsCampaignRemarketingId set to null)

epages6-->>MBO: Refresh page, ads account shown as not connected
Note over Merchant, epages6: ADS ACCOUNT DISCONNECTED
```

