```mermaid
sequenceDiagram autonumber
participant Merchant as Merchant
participant MBO as Merchant Backoffice (Browser)
participant epages6 as ePages6 (Cartridges)
participant Google as Google

Note over Merchant, Google: DISCONNECT GOOGLE ACCOUNT
Merchant->>MBO: Merchant clicks "Disconnect" to disconnect the personal google account
activate MBO
MBO->>epages6: Submit form with disconnect change action<br/>DE_EPAGES::GoogleSmartShopping::UI::Shop::DisconnectPersonalAccount()
Note over epages6,Google: Disconnect Ads account and campaign
Note over epages6,Google: Disconenct Merchant Center account
epages6->>epages6: Delete google smart shopping configuration
epages6->>Google: Revoke access token <br />DE_EPAGES::GoogleSmartShopping::API::GoogleApiService::revokeAccessToken()<br/>POST https://oauth2.googleapis.com/revoke?token=AccessToken
Google-->>epages6: response (200 OK)
epages6-->>MBO: Show "Connect with Google" button<br />ViewAction UnityViewGoogleSmartShopping
Note over Merchant, epages6: Merchant is on MBO > Marketing > Shopping ads on Google > Setup TAB<br/> Google account is not connected, the blue button "Comnnect with Google" is shown
deactivate MBO
```

